<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:prcs="utc.fr:ics/process" xmlns:scOrigin="eu.scenari.gen.xslt.OriginSrc" extension-element-prefixes="scOrigin" exclude-result-prefixes="sc sp">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	<xsl:template match="prcs:macroPrcs">
		<xsl:variable name="vIndicActiveCo">
			<xsl:text>&lt;indicators&gt;</xsl:text>
			<xsl:for-each select="sp:process">
				<xsl:value-of select="getContent(gotoSubModel(), 'indicActive')"/>
			</xsl:for-each>
			<xsl:text>&lt;/indicators&gt;</xsl:text>
		</xsl:variable>
		<xsl:variable name="vIndicActive" select="parseXml($vIndicActiveCo)/indicators"/>
		<xsl:variable name="vIndicPotentialCo">
			<xsl:text>&lt;indicators&gt;</xsl:text>
			<xsl:for-each select="sp:process">
				<xsl:value-of select="getContent(gotoSubModel(), 'indicPotential')"/>
			</xsl:for-each>
			<xsl:text>&lt;/indicators&gt;</xsl:text>
		</xsl:variable>
		<xsl:variable name="vIndicPotential" select="parseXml($vIndicPotentialCo)/indicators"/>
		<xsl:if test="count($vIndicActive/*) or count($vIndicPotential/*)">
			<scBlock class="section indicators">
				<scOrigin:addContextNode/>
				<hx class="section_ti">
					<span>Indicateurs</span>
				</hx>
				<div class="section_co">
					<table class="descrTable indicActive">
						<tr class="descrTableHead">
							<th>Quoi</th>
							<th>Qui</th>
							<th>Comment</th>
							<th>Quand</th>
						</tr>
						<xsl:copy-of select="$vIndicActive/*[not(preceding-sibling::*[. = current()])]"/>
					</table>
					<xsl:if test="count($vIndicPotential/*)">
						<scBlock class="step indicPotential">
							<scOrigin:addContextNode/>
							<hx class="step_ti">
								<span>Indicateurs potentiels</span>
							</hx>
							<div class="step_co">
								<ul>
									<xsl:copy-of select="$vIndicPotential/*[not(preceding-sibling::*[. = current()])]"/>
								</ul>
							</div>
						</scBlock>
					</xsl:if>
				</div>
			</scBlock>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>