<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:prcs="utc.fr:ics/process" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:java="http://xml.apache.org/xslt/java" exclude-result-prefixes="sfacet sp prcs java " extension-element-prefixes="sfacet sp prcs java " >

<xsl:param name="pItem"/>
<xsl:param name="pIdSubItem"/>
<xsl:param name="pOutlineContext"/>
<xsl:param name="pIncludeTitle"/>

<xsl:template match="/sc:item">
<xsl:choose>
<xsl:when test="$pIdSubItem">
<itemRoot xp="id('{$pIdSubItem}')">
<xsl:if test="$pIncludeTitle"><xsl:apply-templates select="id($pIdSubItem)/*[last()]" mode="titleNode"/></xsl:if>
<xsl:apply-templates select="id($pIdSubItem)/*[last()]" mode="children"/>
</itemRoot>
</xsl:when>
<xsl:otherwise>
<itemRoot xp="sc:item">
<xsl:if test="$pIncludeTitle"><xsl:apply-templates select="prcs:process" mode="titleNode"/></xsl:if>
<xsl:apply-templates select="prcs:process" mode="children"/>
</itemRoot>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="prcs:process">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="prcs:identMeta"><xsl:choose><xsl:when test="sp:id"><xsl:value-of select="sp:id"/> - <xsl:value-of select="sp:title"/></xsl:when><xsl:otherwise><xsl:value-of select="sp:title"/></xsl:otherwise></xsl:choose></xsl:for-each></title></xsl:variable>
<xsl:variable select="string($vTitle)" name="vTitleInMeta"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="children" match="prcs:process">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:process/sp:workInstr">
<node name="Instruction de travail" xp="prcs:process/sp:workInstr[{count(preceding-sibling::sp:workInstr) + 1}]">
<xsl:variable name="vTitle"/>
<xsl:variable select="string($vTitle)" name="vTitleInMeta"/>
<xsl:choose>
<xsl:when test="$vTitleInMeta and @sc:refUri">
<titleNode title="{$vTitleInMeta}"/>
<sfacet:callOutline includeTitle="false" refUri="{@sc:refUri}"/>
</xsl:when>
<xsl:when test="@sc:refUri">
<sfacet:callOutline includeTitle="true" refUri="{@sc:refUri}"/>
</xsl:when>
<xsl:when test="$vTitleInMeta">
<titleNode title="{$vTitleInMeta}"/>
<xsl:apply-templates mode="children" select="*[last()]"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates mode="titleNode" select="*[last()]"/>
<xsl:apply-templates mode="children" select="*[last()]"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:process/sp:operPrcd">
<node name="Mode opératoire" xp="prcs:process/sp:operPrcd[{count(preceding-sibling::sp:operPrcd) + 1}]">
<xsl:variable name="vTitle"/>
<xsl:variable select="string($vTitle)" name="vTitleInMeta"/>
<xsl:choose>
<xsl:when test="$vTitleInMeta and @sc:refUri">
<titleNode title="{$vTitleInMeta}"/>
<sfacet:callOutline includeTitle="false" refUri="{@sc:refUri}"/>
</xsl:when>
<xsl:when test="@sc:refUri">
<sfacet:callOutline includeTitle="true" refUri="{@sc:refUri}"/>
</xsl:when>
<xsl:when test="$vTitleInMeta">
<titleNode title="{$vTitleInMeta}"/>
<xsl:apply-templates mode="children" select="*[last()]"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates mode="titleNode" select="*[last()]"/>
<xsl:apply-templates mode="children" select="*[last()]"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="prcs:indicators">
<titleNode title=""/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="children" match="prcs:indicators">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="prcs:indicActive">
<titleNode title=""/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="children" match="prcs:indicActive">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="prcs:how">
<titleNode title=""/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="children" match="prcs:how">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="prcs:form">
<xsl:variable name="vTitle"><title><xsl:value-of select="prcs:simpleTitle/sc:fullTitle"/></title></xsl:variable>
<xsl:variable select="string($vTitle)" name="vTitleInMeta"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="children" match="prcs:form">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="prcs:pmSet">
<titleNode title=""/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="children" match="prcs:pmSet">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="prcs:product">
<xsl:variable name="vTitle"><title><xsl:value-of select="prcs:name/sc:fullTitle"/></title></xsl:variable>
<xsl:variable select="string($vTitle)" name="vTitleInMeta"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="children" match="prcs:product">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="prcs:externalDoc">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="prcs:urlMeta"><xsl:choose><xsl:when test="sp:title"><xsl:value-of select="sp:title"/></xsl:when><xsl:otherwise><xsl:value-of select="sp:location"/></xsl:otherwise></xsl:choose></xsl:for-each></title></xsl:variable>
<xsl:variable select="string($vTitle)" name="vTitleInMeta"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="children" match="prcs:externalDoc">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="prcs:prcsDescr">
<titleNode title=""/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="children" match="prcs:prcsDescr">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="prcs:processIn">
<titleNode title=""/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="children" match="prcs:processIn">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="prcs:processOut">
<titleNode title=""/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="children" match="prcs:processOut">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="prcs:requires">
<titleNode title=""/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="children" match="prcs:requires">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="prcs:risks">
<titleNode title=""/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="children" match="prcs:risks">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="prcs:risk">
<xsl:variable name="vTitle"><title><xsl:value-of select="prcs:label/sc:fullTitle"/></title></xsl:variable>
<xsl:variable select="string($vTitle)" name="vTitleInMeta"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="children" match="prcs:risk">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="prcs:ameliors">
<titleNode title=""/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="children" match="prcs:ameliors">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="prcs:amelior">
<titleNode title=""/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="children" match="prcs:amelior">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="prcs:prcsTools">
<xsl:variable name="vTitle"><title><xsl:value-of select="prcs:simpleTitle/sc:fullTitle"/></title></xsl:variable>
<xsl:variable select="string($vTitle)" name="vTitleInMeta"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="children" match="prcs:prcsTools">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="prcs:prcsTool">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="prcs:prcsToolMeta"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable select="string($vTitle)" name="vTitleInMeta"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="children" match="prcs:prcsTool">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="prcs:action">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="prcs:actionMeta"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable select="string($vTitle)" name="vTitleInMeta"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="children" match="prcs:action">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="prcs:decision">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="prcs:decMeta"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable select="string($vTitle)" name="vTitleInMeta"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="children" match="prcs:decision">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>


<xsl:template match="node()|@*"/>
<xsl:template match="node()|@*" mode="titleNode"/>
<xsl:template match="node()|@*" mode="children"/>
</xsl:stylesheet>