<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:prcs="utc.fr:ics/process" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:java="http://xml.apache.org/xslt/java" xmlns="http://www.utc.fr/ics/scenari/v3/primitive" exclude-result-prefixes="sp prcs java " >

<xsl:param name="srcNode"/>

<xsl:template match="text()|@*"/>
<xsl:template match="*[@sc:refUri]">
<attrRef nm="?" refUri="{@sc:refUri}"/>
</xsl:template>

<xsl:template match="/sc:item">
<xsl:apply-templates select="prcs:processMap"/>
</xsl:template>

<xsl:template match="sc:item/prcs:processMap">
	<title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="prcs:prcsMapMeta"><xsl:choose><xsl:when test="sp:title"><xsl:value-of select="sp:title"/></xsl:when><xsl:otherwise>Cartographie</xsl:otherwise></xsl:choose></xsl:for-each></title>
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>



			
		
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:processMap/sp:media[@sc:refUri]">
<attrRef nm="prcs_processMap:media" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:processMap/sp:diagram[@sc:refUri]">
<attrRef nm="prcs_processMap:diagram" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:processMap/sp:macroPrcs[@sc:refUri]">
<attrRef nm="prcs_processMap:macroPrcs" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:processMap/sp:process[@sc:refUri]">
<attrRef nm="prcs_processMap:process" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
		
		
			
			
				
			
			
				
			
			
				
				
				
				
				
				
				
				
				
			
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:extBlock[@role='image'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::prcs:text]">
<attrRef nm="prcs_text:extBlockTag:image" refUri="{@sc:refUri}"/>
</xsl:template>
		
		
			
				
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='definition'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::prcs:text]">
<attrRef nm="prcs_text:uLinkTag:definition" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='document'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::prcs:text]">
<attrRef nm="prcs_text:uLinkTag:document" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='ref'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::prcs:text]">
<attrRef nm="prcs_text:uLinkTag:ref" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
			
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:inlineImg[@role='img'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::prcs:text]">
<attrRef nm="prcs_text:inlineImgTag:img" refUri="{@sc:refUri}"/>
</xsl:template>
		
	<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:text">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:prcsMapMeta">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
		
			
		
			
				
			
			
				
			
			
				
			
		
			
				
			
			
				
			
			
				
			
		
			
		
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:prcsMapMeta/sp:glossary/sp:definition[@sc:refUri]">
<attrRef nm="prcs_prcsMapMeta:glossary:definition:" refUri="{@sc:refUri}"/>
</xsl:template>
			
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:coordsMeta">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
				
				
				
			
		
			
		

</xsl:stylesheet>