<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:prcs="utc.fr:ics/process" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:java="http://xml.apache.org/xslt/java" xmlns="http://www.utc.fr/ics/scenari/v3/primitive" exclude-result-prefixes="sp prcs java " >

<xsl:param name="srcNode"/>

<xsl:template match="text()|@*"/>
<xsl:template match="*[@sc:refUri]">
<attrRef nm="?" refUri="{@sc:refUri}"/>
</xsl:template>

<xsl:template match="/sc:item">
<xsl:apply-templates select="prcs:qms"/>
</xsl:template>

<xsl:template match="sc:item/prcs:qms">
	<title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="prcs:qmsMeta"><xsl:value-of select="sp:title"/></xsl:for-each></title>
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>


<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:qms/sp:intro[@sc:refUri]">
<attrRef nm="prcs_qms:intro" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:qms/sp:processMap[@sc:refUri]">
<attrRef nm="prcs_qms:processMap" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:qms/sp:help[@sc:refUri]">
<attrRef nm="prcs_qms:help" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>

			
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:intro/sp:section[@sc:refUri]">
<attrRef nm="prcs_intro:section" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
		
		
			
			
				
			
			
				
			
			
				
				
				
				
				
				
				
				
				
			
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:extBlock[@role='image'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::prcs:text]">
<attrRef nm="prcs_text:extBlockTag:image" refUri="{@sc:refUri}"/>
</xsl:template>
		
		
			
				
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='definition'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::prcs:text]">
<attrRef nm="prcs_text:uLinkTag:definition" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='document'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::prcs:text]">
<attrRef nm="prcs_text:uLinkTag:document" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='ref'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::prcs:text]">
<attrRef nm="prcs_text:uLinkTag:ref" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
			
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:inlineImg[@role='img'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::prcs:text]">
<attrRef nm="prcs_text:inlineImgTag:img" refUri="{@sc:refUri}"/>
</xsl:template>
		
	<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:text">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>

<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:help/sp:intro[@sc:refUri]">
<attrRef nm="prcs_help:intro" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:help/sp:media[@sc:refUri]">
<attrRef nm="prcs_help:media" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
		
			
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:legSymbol/sp:picture[@sc:refUri]">
<attrRef nm="prcs_legSymbol:picture" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>

		
			
			
				
			
			
				
			
		
		
			
				
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='definition'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::prcs:simpleText]">
<attrRef nm="prcs_simpleText:uLinkTag:definition" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='document'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::prcs:simpleText]">
<attrRef nm="prcs_simpleText:uLinkTag:document" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='form'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::prcs:simpleText]">
<attrRef nm="prcs_simpleText:uLinkTag:form" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='ref'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::prcs:simpleText]">
<attrRef nm="prcs_simpleText:uLinkTag:ref" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
			
		
	<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:simpleText">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:qmsMeta">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
		
			
		
			
				
			
			
				
			
			
				
			
		
			
				
			
			
				
			
			
				
			
		
			
		
			
				
					
					<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:qmsMeta/sp:pubParams/sp:web/sp:logo[@sc:refUri]">
<attrRef nm="prcs_qmsMeta:pubParams:web:logo:" refUri="{@sc:refUri}"/>
</xsl:template>
				
			
			
				
					
					<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:qmsMeta/sp:pubParams/sp:paper/sp:logo[@sc:refUri]">
<attrRef nm="prcs_qmsMeta:pubParams:paper:logo:" refUri="{@sc:refUri}"/>
</xsl:template>
				
				
					
						
						
					
				
				
					
						
						
					
				
				
					
						
						
					
				
			
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:prcsToolMeta">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
		
			
		

</xsl:stylesheet>