<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:prcs="utc.fr:ics/process" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:java="http://xml.apache.org/xslt/java" xmlns="http://www.utc.fr/ics/scenari/v3/primitive" exclude-result-prefixes="sp prcs java " >

<xsl:param name="srcNode"/>

<xsl:template match="text()|@*"/>
<xsl:template match="*[@sc:refUri]">
<attrRef nm="?" refUri="{@sc:refUri}"/>
</xsl:template>

<xsl:template match="/sc:item">
<xsl:apply-templates select="prcs:workInstr"/>
</xsl:template>

<xsl:template match="sc:item/prcs:workInstr">
	<title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="prcs:identMeta"><xsl:choose><xsl:when test="sp:id"><xsl:value-of select="sp:id"/> - <xsl:value-of select="sp:title"/></xsl:when><xsl:otherwise><xsl:value-of select="sp:title"/></xsl:otherwise></xsl:choose></xsl:for-each></title>
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>



			
		
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:workInstr/sp:media[@sc:refUri]">
<attrRef nm="prcs_workInstr:media" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:workInstr/sp:diagram[@sc:refUri]">
<attrRef nm="prcs_workInstr:diagram" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:workInstr/sp:operPrcd[@sc:refUri]">
<attrRef nm="prcs_workInstr:operPrcd" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
				
				
			
			
				
				
			
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:workInstr/sp:ref[@sc:refUri]">
<attrRef nm="prcs_workInstr:ref" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
		
		
			
			
				
			
			
				
			
			
				
				
				
				
				
				
				
				
				
			
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:extBlock[@role='image'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::prcs:text]">
<attrRef nm="prcs_text:extBlockTag:image" refUri="{@sc:refUri}"/>
</xsl:template>
		
		
			
				
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='definition'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::prcs:text]">
<attrRef nm="prcs_text:uLinkTag:definition" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='document'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::prcs:text]">
<attrRef nm="prcs_text:uLinkTag:document" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='ref'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::prcs:text]">
<attrRef nm="prcs_text:uLinkTag:ref" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
			
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:inlineImg[@role='img'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::prcs:text]">
<attrRef nm="prcs_text:inlineImgTag:img" refUri="{@sc:refUri}"/>
</xsl:template>
		
	<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:text">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>


			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:workInstrIn/sp:data[@sc:refUri]">
<attrRef nm="prcs_workInstrIn:data" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:form/sp:model[@sc:refUri]">
<attrRef nm="prcs_form:model" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:form/sp:instance[@sc:refUri]">
<attrRef nm="prcs_form:instance" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>

			
			
			
			
			
			
			
			
		

		
			
			
				
			
			
				
			
		
		
			
				
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='definition'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::prcs:simpleText]">
<attrRef nm="prcs_simpleText:uLinkTag:definition" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='document'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::prcs:simpleText]">
<attrRef nm="prcs_simpleText:uLinkTag:document" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='form'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::prcs:simpleText]">
<attrRef nm="prcs_simpleText:uLinkTag:form" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='ref'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::prcs:simpleText]">
<attrRef nm="prcs_simpleText:uLinkTag:ref" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
			
		
	<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:simpleText">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>

		
			
				
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='definition'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::prcs:para]">
<attrRef nm="prcs_para:uLinkTag:definition" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='document'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::prcs:para]">
<attrRef nm="prcs_para:uLinkTag:document" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='form'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::prcs:para]">
<attrRef nm="prcs_para:uLinkTag:form" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='ref'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::prcs:para]">
<attrRef nm="prcs_para:uLinkTag:ref" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
			
		
	<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:para">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>

<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:urlMeta">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
		
			
		
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:workInstrOut/sp:data[@sc:refUri]">
<attrRef nm="prcs_workInstrOut:data" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
		
			
		
			
		
			
		
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:prcsToolMeta">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
		
			
		
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:action/sp:data[@sc:refUri]">
<attrRef nm="prcs_action:data" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:actionMeta">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
		
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:actionMeta/sp:inCharge[@sc:refUri]">
<attrRef nm="prcs_actionMeta:inCharge:" refUri="{@sc:refUri}"/>
</xsl:template>
		
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:actionMeta/sp:contrib[@sc:refUri]">
<attrRef nm="prcs_actionMeta:contrib:" refUri="{@sc:refUri}"/>
</xsl:template>
		
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:decMeta">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
		
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:decMeta/sp:inCharge[@sc:refUri]">
<attrRef nm="prcs_decMeta:inCharge:" refUri="{@sc:refUri}"/>
</xsl:template>
		
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:decMeta/sp:contrib[@sc:refUri]">
<attrRef nm="prcs_decMeta:contrib:" refUri="{@sc:refUri}"/>
</xsl:template>
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:identMeta">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
		
			
		
			
		
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:identMeta/sp:inCharge[@sc:refUri]">
<attrRef nm="prcs_identMeta:inCharge:" refUri="{@sc:refUri}"/>
</xsl:template>
		
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:identMeta/sp:substitute[@sc:refUri]">
<attrRef nm="prcs_identMeta:substitute:" refUri="{@sc:refUri}"/>
</xsl:template>
		
			
				
			
			
				
			
			
				
			
		
			
				
			
			
				
			
			
				
			
		
			
		
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:identMeta/sp:glossary/sp:definition[@sc:refUri]">
<attrRef nm="prcs_identMeta:glossary:definition:" refUri="{@sc:refUri}"/>
</xsl:template>
			
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="prcs:coordsMeta">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
				
				
				
			
		
			
		

</xsl:stylesheet>