<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:prcs="utc.fr:ics/process" xmlns:xalan="http://xml.apache.org/xalan"
	exclude-result-prefixes="xalan">
	
	<xsl:output encoding="UTF-8" indent="yes" method="xml" />
	
	<xsl:template match="prcs:intro | prcs:section">
		<xsl:copy>
			<xsl:copy-of select="prcs:simpleTitle" />
			<xsl:if test="sp:text | sp:image">
				<sp:content>
					<prcs:text>
						<xsl:apply-templates select="sp:text | sp:image" />
					</prcs:text>
				</sp:content>
			</xsl:if>
			<xsl:apply-templates select="sp:section" />
		</xsl:copy>
	</xsl:template>
	
	<xsl:template match="prcs:pm">
		<xsl:copy-of select="prcs:simpleTitle" />
		<prcs:text>
			<xsl:apply-templates select="sp:text | sp:image" />
		</prcs:text>
	</xsl:template>
	
	<xsl:template match="prcs:intro/sp:text | prcs:section/sp:text | prcs:pm/sp:text">
		<xsl:apply-templates select="prcs:text/*" />
	</xsl:template>
	
	<xsl:template match="prcs:intro/sp:image | prcs:section/sp:image | prcs:pm/sp:image">
		<sc:extBlock role="image">
			<xsl:copy-of select="@sc:refUri" />
		</sc:extBlock>
	</xsl:template>
	
	<xsl:template match="@* | node()">
		<xsl:copy>
			<xsl:apply-templates select="@* | node()" />
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>
